#!/usr/bin/env python
# -- coding: latin-1

#       Copyright 2007 Manuel Vazquez Acosta <mva.led@gmail.com>
#
#       This program is free software; you can redistribute it and/or modify
#       it under the terms of the GNU General Public License as published by
#       the Free Software Foundation; either version 2 of the License, or
#       (at your option) any later version.
#
#       This program is distributed in the hope that it will be useful,
#       but WITHOUT ANY WARRANTY; without even the implied warranty of
#       MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#       GNU General Public License for more details.
#
#       You should have received a copy of the GNU General Public License
#       along with this program; if not, write to the Free Software
#       Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
#       MA 02110-1301, USA.

import sys
import re
import urllib2

from gugle.storage.kb import BasicKnowledgeBase, GugleRevisionNumber
from gugle.bot.linkbot import Linkbot
from gugle.bot.utils.filter import ConvertToCanonical

from copy import deepcopy


def main():
    KB = BasicKnowledgeBase()
    NewKB = BasicKnowledgeBase(fs = 'var/refetched-%s.db' % GugleRevisionNumber)

    for i in range(0, len(KB.__BKB__)):
        if i < KB.__head__:
            entry = deepcopy(KB.__BKB__.get(i))
            url = entry.url

            entry.url = ConvertToCanonical(url)

            NewKB.__BKB__.put(entry.url, entry)

            try:
                print "Fetching %s" % url
                fh = urllib2.urlopen(url)
                html = fh.read()

                linkbot = Linkbot(url, html)
                links = linkbot.getLinks()

                for which in links:
                    NewKB.__WebGraph__.registerGugleLink(ConvertToCanonical(url), ConvertToCanonical(which))
            except KeyboardInterrupt:
                raise
            except Exception, e:
                print e

if __name__ == '__main__':
    main()
