from setuptools import setup, find_packages
import os

version = '1.0'

setup(name='gugle.bot',
      version=version,
      description="Small and Dumb Spider",
      long_description=open("README.txt").read() + "\n" +
                       open(os.path.join("docs", "HISTORY.txt")).read(),
      # Get more strings from http://www.python.org/pypi?%3Aaction=list_classifiers
      classifiers=[
        "Programming Language :: Python",
        "Topic :: Software Development :: Libraries :: Python Modules",
        "Topic :: Internet :: WWW/HTTP :: Indexing/Search",
        "Topic :: Utilities",
        "Development Status :: 2 - Pre-Alpha",
        "Environment :: Console",
        "Intended Audience :: Science/Research",
        "License :: OSI Approved :: GNU General Public License (GPL)",
        "Operating System :: POSIX :: Linux",
        ],
      keywords='',
      author='Manuel Vazquez Acosta',
      author_email='mva.led@gmail.com',
      url='http://manuelonsoftware.wordpress.com/',
      license='GPL',
      packages=find_packages(exclude=['ez_setup']),
      namespace_packages=['gugle'],
      include_package_data=True,
      zip_safe=False,
      install_requires=[
          'setuptools',
          # -*- Extra requirements: -*-
          'gugle.storage',
          'BeautifulSoup>=3.0.5',
      ],
      entry_points="""
      # -*- Entry points: -*-
      [console_scripts]
          guglebot=gugle.bot.utils.bot:main
          gbinspect=gugle.bot.utils.dbinspect:main
          gbshowentry=gugle.bot.utils.showentry:main
          gbfilter=gugle.bot.utils.filter:main
          gbrefetch=gugle.bot.utils.refetch:main
          gblist=gugle.bot.utils.list:main
          gbgraph=gugle.bot.utils.graph:main
          gbdomains=gugle.bot.utils.domains:main
      """,
      )
